Printer is in an offline state or is busy: 3.18.10 / Ubuntu 18.04.1

Asked by sumit on 2018-11-24

Os is 18.04.1,
Tried installing 3.18.6 and 3.18.10. Installation of software and plugin went fine. However, whenever I want to print a test page (or any printer), I get the following :
"error: Printer Error. Printer is busy, offline, or in an error state. Please check the device and try again."
Can someone please help me?
More details about the printer:
========================
hp-check[4309]: info: :
hp-check[4309]: info: :[01mHP Linux Imaging and Printing System (ver. 3.18.6)[0m
hp-check[4309]: info: :[01mDependency/Version Check Utility ver. 15.1[0m
hp-check[4309]: info: :
hp-check[4309]: info: :Copyright (c) 2001-15 HP Development Company, LP
hp-check[4309]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[4309]: info: :This is free software, and you are welcome to distribute it
hp-check[4309]: info: :under certain conditions. See COPYING file for more details.
hp-check[4309]: info: :
hp-check[4309]: info: :[01mNote: hp-check can be run in three modes:[0m
hp-check[4309]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the
hp-check[4309]: info: :HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
hp-check[4309]: info: :are installed to successfully compile HPLIP.
hp-check[4309]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro
hp-check[4309]: info: :supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball
hp-check[4309]: info: :has the proper dependencies installed to successfully run.
hp-check[4309]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode
hp-check[4309]: info: :will check both of the above cases (both compile- and run-time dependencies).
hp-check[4309]: info: :
hp-check[4309]: info: :Check types:
hp-check[4309]: info: :a. EXTERNALDEP - External Dependencies
hp-check[4309]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)
hp-check[4309]: info: :c. COMPILEDEP - Compile time Dependencies
hp-check[4309]: info: :d. [All are run-time checks]
hp-check[4309]: info: :PYEXT SCANCONF QUEUES PERMISSION
hp-check[4309]: info: :
hp-check[4309]: info: :Status Types:
hp-check[4309]: info: : OK
hp-check[4309]: info: : MISSING - Missing Dependency or Permission or Plug-in
hp-check[4309]: info: : INCOMPAT - Incompatible dependency-version or Plugin-version
hp-check[4309]: info: :
hp-check[4309]: info: :
hp-check[4309]: info: :---------------
hp-check[4309]: info: :| SYSTEM INFO |
hp-check[4309]: info: :---------------
hp-check[4309]: info: :
hp-check[4309]: info: : Kernel: 4.15.0-39-generic #42-Ubuntu SMP Tue Oct 23 15:48:01 UTC 2018 GNU/Linux
 Host: swapnatit-Lenovo-Flex-2-14D
 Proc: 4.15.0-39-generic #42-Ubuntu SMP Tue Oct 23 15:48:01 UTC 2018 GNU/Linux
 Distribution: 12 18.04
hp-check[4309]: info: : Bitness: 64 bit

hp-check[4309]: info: :
hp-check[4309]: info: :-----------------------
hp-check[4309]: info: :| HPLIP CONFIGURATION |
hp-check[4309]: info: :-----------------------
hp-check[4309]: info: :
hp-check[4309]: info: :HPLIP-Version: HPLIP 3.18.6
hp-check[4309]: info: :HPLIP-Home: /usr/share/hplip
hp-check[4309]: info: :HPLIP-Installation: Auto installation is supported for ubuntu distro 18.04 version
hp-check[4309]: info: :
hp-check[4309]: info: :[01mCurrent contents of '/etc/hp/hplip.conf' file:[0m
hp-check[4309]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.18.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.18.6
html=/usr/share/doc/hplip-3.18.6
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.18.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no

hp-check[4309]: info: :
hp-check[4309]: info: :[01mCurrent contents of '/var/lib/hp/hplip.state' file:[0m
hp-check[4309]: info: :[plugin]
installed = 1
eula = 1
version = 3.18.6

hp-check[4309]: info: :
hp-check[4309]: info: :[01mCurrent contents of '~/.hplip/hplip.conf' file:[0m
hp-check[4309]: info: :[installation]
date_time = 11/24/18 15:20:47
version = 3.18.6

[upgrade]
notify_upgrade = true
last_upgraded_time = 1543052553
pending_upgrade_time = 0
latest_available_version = 3.17.10

hp-check[4309]: info: : <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>
hp-check[4309]: info: :
hp-check[4309]: info: :-------------------------
hp-check[4309]: info: :| External Dependencies |
hp-check[4309]: info: :-------------------------
hp-check[4309]: info: :
hp-check[4309]: info: : cups CUPS - Common Unix Printing System REQUIRED 1.1 2.2.7 OK 'CUPS Scheduler is running'
hp-check[4309]: info: : gs GhostScript - PostScript and PDF language interpreter and previewer REQUIRED 7.05 9.25 OK -
hp-check[4309]: info: : xsane xsane - Graphical scanner frontend for SANE OPTIONAL 0.9 0.999 OK -
hp-check[4309]: info: : scanimage scanimage - Shell scanning program OPTIONAL 1.0 1.0.27 OK -
hp-check[4309]: info: : dbus DBus - Message bus system REQUIRED - 1.12.2 OK -
hp-check[4309]: info: : policykit PolicyKit - Administrative policy framework OPTIONAL - 0.105 OK -
hp-check[4309]: info: : network network -wget OPTIONAL - 1.19.4 OK -
hp-check[4309]: info: : avahi-utils avahi-utils OPTIONAL - 0.7 OK -
hp-check[4309]: info: :
hp-check[4309]: info: :------------------------
hp-check[4309]: info: :| General Dependencies |
hp-check[4309]: info: :------------------------
hp-check[4309]: info: :
hp-check[4309]: info: : libjpeg libjpeg - JPEG library REQUIRED - - OK -
hp-check[4309]: info: : cups-devel CUPS devel- Common Unix Printing System development files REQUIRED - 2.2.7 OK -
hp-check[4309]: info: : cups-image CUPS image - CUPS image development files REQUIRED - 2.2.7 OK -
hp-check[4309]: info: : libpthread libpthread - POSIX threads library REQUIRED - b'2.27' OK -
hp-check[4309]: info: : libusb libusb - USB library REQUIRED - 1.0 OK -
hp-check[4309]: info: : sane SANE - Scanning library REQUIRED - - OK -
hp-check[4309]: info: : sane-devel SANE - Scanning library development files REQUIRED - - OK -
hp-check[4309]: info: : libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED 5.0.9 5.7.3 OK -
hp-check[4309]: info: : libcrypto libcrypto - OpenSSL cryptographic library REQUIRED - 1.1.0 OK -
hp-check[4309]: info: : python3X Python 2.2 or greater - Python programming language REQUIRED 2.2 3.6.7 OK -
hp-check[4309]: info: : python3-notify2 Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL - - OK -
hp-check[4309]: info: : python3-pyqt4-dbus PyQt 4 DBus - DBus Support for PyQt4 OPTIONAL 4.0 4.12.1 OK -
hp-check[4309]: info: : python3-pyqt4 PyQt 4- Qt interface for Python (for Qt version 4.x) REQUIRED 4.0 4.12.1 OK -
hp-check[4309]: info: : python3-dbus Python DBus - Python bindings for DBus REQUIRED 0.80.0 1.2.6 OK -
hp-check[4309]: info: : python3-xml Python XML libraries REQUIRED - 2.2.5 OK -
hp-check[4309]: info: : python3-devel Python devel - Python development files REQUIRED 2.2 3.6.7 OK -
hp-check[4309]: info: : python3-pil PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL - 1.1.7 OK -
hp-check[4309]: info: : python3-reportlab Reportlab - PDF library for Python OPTIONAL 2.0 3.4.0 OK -
hp-check[4309]: info: :
hp-check[4309]: info: :--------------
hp-check[4309]: info: :| COMPILEDEP |
hp-check[4309]: info: :--------------
hp-check[4309]: info: :
hp-check[4309]: info: : libtool libtool - Library building support services REQUIRED - 2.4.6 OK -
hp-check[4309]: info: : gcc gcc - GNU Project C and C++ Compiler REQUIRED - 7.3.0 OK -
hp-check[4309]: info: : make make - GNU make utility to maintain groups of programs REQUIRED 3.0 4.1 OK -
hp-check[4309]: info: :
hp-check[4309]: info: :---------------------
hp-check[4309]: info: :| Python Extentions |
hp-check[4309]: info: :---------------------
hp-check[4309]: info: :
hp-check[4309]: info: : cupsext CUPS-Extension REQUIRED - 3.18.6 OK -
hp-check[4309]: info: : hpmudext IO-Extension REQUIRED - 3.18.6 OK -
hp-check[4309]: info: :
hp-check[4309]: info: :----------------------
hp-check[4309]: info: :| Scan Configuration |
hp-check[4309]: info: :----------------------
hp-check[4309]: info: :
hp-check[4309]: info: : hpaio HPLIP-SANE-Backend REQUIRED - 3.18.6 OK 'hpaio found in /etc/sane.d/dll.conf'
hp-check[4309]: info: : scanext Scan-SANE-Extension REQUIRED - 3.18.6 OK -
hp-check[4309]: info: :
hp-check[4309]: info: :------------------------------
hp-check[4309]: info: :| DISCOVERED SCANNER DEVICES |
hp-check[4309]: info: :------------------------------
hp-check[4309]: info: :
hp-check[4309]: info: :device `hpaio:/usb/HP_LaserJet_Professional_M1136_MFP?serial=000000000QHAA968PR1a' is a Hewlett-Packard HP_LaserJet_Professional_M1136_MFP all-in-one

hp-check[4309]: info: :
hp-check[4309]: info: :--------------------------
hp-check[4309]: info: :| DISCOVERED USB DEVICES |
hp-check[4309]: info: :--------------------------
hp-check[4309]: info: :
hp-check[4309]: info: : Device URI Model
hp-check[4309]: info: : -------------------------------- --------------------------------
hp-check[4309]: info: : hp:/usb/HP_LaserJet_Professional HP LaserJet Professional M1136
  _M1136_MFP?serial=000000000QHAA9 MFP
  68PR1a
hp-check[4309]: info: :
hp-check[4309]: info: :---------------------------------
hp-check[4309]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[4309]: info: :---------------------------------
hp-check[4309]: info: :
hp-check[4309]: info: :
hp-check[4309]: info: :[01mHP_LaserJet_Professional_M1136_MFP[0m
hp-check[4309]: info: :[01m----------------------------------[0m
hp-check[4309]: info: :Type: Printer
hp-check[4309]: info: :Device URI: hp:/usb/HP_LaserJet_Professional_M1136_MFP?serial=000000000QHAA968PR1a
hp-check[4309]: info: :PPD: /etc/cups/ppd/HP_LaserJet_Professional_M1136_MFP.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_Professional_M1136_MFP.ppd ppd file
hp-check[4309]: info: :PPD Description:
hp-check[4309]: info: :Printer status: printer HP_LaserJet_Professional_M1136_MFP is idle. enabled since Saturday 24 November 2018 03:03:51 PM IST
 ready to print
hp-check[4309]: info: :Required plug-in status: Installed
hp-check[4309]: info: :Communication status: Good
hp-check[4309]: info: :
hp-check[4309]: info: :[01mHP_LaserJet_Professional_M1136_MFP_2[0m
hp-check[4309]: info: :[01m------------------------------------[0m
hp-check[4309]: info: :Type: Printer
hp-check[4309]: info: :Device URI: hp:/usb/HP_LaserJet_Professional_M1136_MFP?serial=000000000QHAA968PR1a
hp-check[4309]: info: :PPD: /etc/cups/ppd/HP_LaserJet_Professional_M1136_MFP_2.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_Professional_M1136_MFP_2.ppd ppd file
hp-check[4309]: info: :PPD Description:
hp-check[4309]: info: :Printer status: printer HP_LaserJet_Professional_M1136_MFP_2 is idle. enabled since Saturday 24 November 2018 03:17:15 PM IST
hp-check[4309]: info: :Required plug-in status: Installed
hp-check[4309]: info: :Communication status: Good
hp-check[4309]: info: :
hp-check[4309]: info: :
hp-check[4309]: info: :--------------
hp-check[4309]: info: :| PERMISSION |
hp-check[4309]: info: :--------------
hp-check[4309]: info: :
hp-check[4309]: info: :USB HP_LaserJet_Professional_M1136_MFP Required - - OK Node:'/dev/bus/usb/001/011' Perm:' root lp rw- rw- rw- rw- r--'
hp-check[4309]: info: :[32;01mNo errors or warnings.[0m
hp-check[4309]: info: :
hp-check[4309]: info: :Done.

Now, when I disconnect and connect the printer, I get the following log:
========================================================
swapnatit@swapnatit-Lenovo-Flex-2-14D:~/Downloads/hplip$ tail -f /var/log/syslog
Nov 24 14:50:53 swapnatit-Lenovo-Flex-2-14D python3: io/hpmud/musb.c 427: Found interface conf=0, iface=0, altset=0, index=1
Nov 24 14:50:53 swapnatit-Lenovo-Flex-2-14D python3: io/hpmud/musb.c 389: Active kernel driver on interface=0 ret=0
Nov 24 14:50:53 swapnatit-Lenovo-Flex-2-14D python3: io/hpmud/musb.c 535: claimed 7/1/2 interface
Nov 24 14:50:53 swapnatit-Lenovo-Flex-2-14D upowerd[1091]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:12.0/usb1/1-1/1-1.4/1-1.4:1.0
Nov 24 14:50:53 swapnatit-Lenovo-Flex-2-14D upowerd[1091]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:12.0/usb1/1-1/1-1.4/1-1.4:1.0
Nov 24 14:50:53 swapnatit-Lenovo-Flex-2-14D upowerd[1091]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:12.0/usb1/1-1/1-1.4/1-1.4:1.0
Nov 24 14:50:53 swapnatit-Lenovo-Flex-2-14D upowerd[1091]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:12.0/usb1/1-1/1-1.4/1-1.4:1.0
Nov 24 14:50:53 swapnatit-Lenovo-Flex-2-14D python3: io/hpmud/musb.c 561: released 7/1/2 interface
Nov 24 14:50:53 swapnatit-Lenovo-Flex-2-14D python3: io/hpmud/musb.c 976: removed PRINT channel=2 clientCnt=0 channelCnt=0
Nov 24 14:50:53 swapnatit-Lenovo-Flex-2-14D upowerd[1091]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:12.0/usb1/1-1/1-1.4/1-1.4:1.0
Nov 24 14:53:22 swapnatit-Lenovo-Flex-2-14D kernel: [ 1209.051783] usb 1-1.4: USB disconnect, device number 8
Nov 24 14:53:22 swapnatit-Lenovo-Flex-2-14D upowerd[1091]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:12.0/usb1/1-1/1-1.4
Nov 24 14:53:30 swapnatit-Lenovo-Flex-2-14D kernel: [ 1217.976174] usb 1-1.4: new high-speed USB device number 9 using ehci-pci
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D kernel: [ 1218.086283] usb 1-1.4: New USB device found, idVendor=03f0, idProduct=042a
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D kernel: [ 1218.086292] usb 1-1.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D kernel: [ 1218.086297] usb 1-1.4: Product: HP LaserJet Professional M1136 MFP
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D kernel: [ 1218.086302] usb 1-1.4: Manufacturer: Hewlett-Packard
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D kernel: [ 1218.086306] usb 1-1.4: SerialNumber: 000000000QHAA968PR1a
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D kernel: [ 1218.089793] usblp 1-1.4:1.0: usblp1: USB Bidirectional printer dev 9 if 0 alt 0 proto 2 vid 0x03F0 pid 0x042A
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D root: loading HP Device 001 009
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D python3: io/hpmud/musb.c 2189: [20836] hpmud_make_usb_uri() bus=001 dev=009
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D python3: io/hpmud/musb.c 2287: hpmud_make_usb_uri() uri=hp:/usb/HP_LaserJet_Professional_M1136_MFP?serial=000000000QHAA968PR1a bytes_read=70 <<<<<<<<<===Indicates that It can communicate with printer

Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D colord-sane: io/hpmud/musb.c 2101: Invalid usb_open: Permission denied<<<<<<<=== I presume pertains to the scanner.
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D colord-sane: message repeated 2 times: [ io/hpmud/musb.c 2101: Invalid usb_open: Permission denied]
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D upowerd[1091]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:12.0/usb1/1-1/1-1.4/1-1.4:1.0
Nov 24 14:53:31 swapnatit-Lenovo-Flex-2-14D upowerd[1091]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:12.0/usb1/1-1/1-1.4

Question information

Language:
English Edit question
Status:
Expired
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2018-11-24
Last reply:
2018-12-10
Launchpad Janitor (janitor) said : #1

This question was expired because it remained in the 'Open' state without activity for the last 15 days.